//
//  MobeleaderLogger.h
//  MobeleaderUtils
//
//  Created by Mobeleader on 20/1/17.
//  Copyright © 2017 Beleader Internet Marketing S.L. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum {
    LogLevelNone,
    LogLevelVerbose,
    LogLevelDebug,
    LogLevelInfo,
    LogLevelWarning,
    LogLevelError,
} LogLevel;

// A simple logger enable you to see different levels of logging.
// Use logLevel as a filter to see the messages for the specific level.
//
@interface MobeleaderLogger : NSObject

// Method to filter logging with the level passed as the paramter
+ (void)setLogLevel:(LogLevel)logLevel;
+ (void)setLogActive:(BOOL)loggingActive;
+ (void)setSendLog:(BOOL)sendLogging;

+ (void)error:(NSString *)tag withMessage:(NSString *)message;
+ (void)warning:(NSString *)tag withMessage:(NSString *)message;
+ (void)info:(NSString *)tag withMessage:(NSString *)message;
+ (void)debug:(NSString *)tag withMessage:(NSString *)message;
+ (void)verbose:(NSString *)tag withMessage:(NSString *)message;

@end
